package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 安康码扫码地点对象 akm_data
 * 
 * @author ruoyi
 * @date 2022-10-10
 */
public class AkmData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String idCard;

    /** 联系号码 */
    @Excel(name = "联系号码")
    private String phoneNum;

    /** 扫码时间(采集时间） */
    @Excel(name = "扫码时间(采集时间）", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private String collectTime;

    /** 扫码地点（采集地点） */
    @Excel(name = "扫码地点", readConverterExp = "采集地点")
    private String collectSite;

    /** 设备id */
    @Excel(name = "设备id")
    private String equipId;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String equipName;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String community;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 状态 */
    @Excel(name = "状态")
    private String state;

    /** 体温 */
    @Excel(name = "体温")
    private String temperature;

    /** 所属用户 */
    @Excel(name = "所属用户")
    private String belongsUser;

    private String startTime;
    private String endTime;
    private List<String> equipIdList;

    public List<String> getEquipIdList() {
        return equipIdList;
    }

    public void setEquipIdList(List<String> equipIdList) {
        this.equipIdList = equipIdList;
    }

    private List<AkmData> akmDataList;

    public List<AkmData> getAkmDataList() {
        return akmDataList;
    }

    public void setAkmDataList(List<AkmData> akmDataList) {
        this.akmDataList = akmDataList;
    }

    public String getStartTime() {
        return startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getIdCard() {
        return idCard;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public String getCollectTime() {
        return collectTime;
    }

    public String getCollectSite() {
        return collectSite;
    }

    public String getEquipId() {
        return equipId;
    }

    public String getEquipName() {
        return equipName;
    }

    public String getUnitName() {
        return unitName;
    }

    public String getCommunity() {
        return community;
    }

    public String getType() {
        return type;
    }

    public String getState() {
        return state;
    }

    public String getTemperature() {
        return temperature;
    }

    public String getBelongsUser() {
        return belongsUser;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public void setCollectTime(String collectTime) {
        this.collectTime = collectTime;
    }

    public void setCollectSite(String collectSite) {
        this.collectSite = collectSite;
    }

    public void setEquipId(String equipId) {
        this.equipId = equipId;
    }

    public void setEquipName(String equipName) {
        this.equipName = equipName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setState(String state) {
        this.state = state;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public void setBelongsUser(String belongsUser) {
        this.belongsUser = belongsUser;
    }

    @Override
    public String toString() {
        return "AkmData{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", idCard='" + idCard + '\'' +
                ", phoneNum='" + phoneNum + '\'' +
                ", collectTime='" + collectTime + '\'' +
                ", collectSite='" + collectSite + '\'' +
                ", equipId='" + equipId + '\'' +
                ", equipName='" + equipName + '\'' +
                ", unitName='" + unitName + '\'' +
                ", community='" + community + '\'' +
                ", type='" + type + '\'' +
                ", state='" + state + '\'' +
                ", temperature='" + temperature + '\'' +
                ", belongsUser='" + belongsUser + '\'' +
                '}';
    }
}
